Skip to main content
GET
/
payment
/
intents
List payment intents
curl --request GET \
  --url https://api.orqex.com/v1/payment/intents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "TRX1A2B3C4D",
      "amount": {
        "value": 5000,
        "formatted": "50.00 XOF",
        "short": "50 XOF",
        "currency": "XOF"
      },
      "customer": {
        "id": "cus_abc123",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "[email protected]",
        "avatar_url": "<string>"
      },
      "description": "<string>",
      "return_url": "<string>",
      "webhook_url": "<string>",
      "statement_descriptor": "<string>",
      "receipt_email": "<string>",
      "metadata": {},
      "active_attempt": {
        "id": "<string>",
        "method": {
          "value": "momo_mtn",
          "label": "MTN Mobile Money",
          "description": "<string>",
          "icon_url": "<string>"
        },
        "amount": {
          "value": 5000,
          "formatted": "50.00 XOF",
          "short": "50 XOF",
          "currency": "XOF"
        },
        "exchange_rate": 123,
        "correction_rate": 123,
        "gateway": {
          "transaction": {
            "id": "<string>",
            "reference": "<string>",
            "external_id": "<string>",
            "status": "<string>"
          }
        },
        "next_action": {},
        "failure": {
          "code": "<string>",
          "message": "<string>"
        },
        "is_fallback": true,
        "completed_at": "<string>",
        "failed_at": "<string>",
        "created_at": "<string>"
      },
      "completed_at": "<string>",
      "expires_at": "<string>",
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "count": 123,
    "path": "<string>",
    "per_page": 123,
    "next_cursor": "<string>",
    "next_page_url": "<string>",
    "prev_cursor": "<string>",
    "prev_page_url": "<string>",
    "has_more_pages": true,
    "has_pages": true
  }
}

Authorizations

Authorization
string
header
required

Project secret key, e.g. sk_live_..., sent as Authorization: Bearer sk_....

Query Parameters

status
string

Filter by payment status.

channel
enum<string>

Filter by creation channel.

Available options:
api,
checkout
customer_id
string

Filter by customer public id.

created_at[gte]
string<date>

Created on or after this date.

created_at[lte]
string<date>

Created on or before this date.

per_page
integer
default:10

Items per page (max 100).

Required range: x <= 100
cursor
string

Cursor for the next page, from pagination.next_cursor.

Response

OK

data
object[]
pagination
object